org.eclipse.jgit.internal.storage.pack

## Class PackWriter.Statistics.ObjectType

- java.lang.Object
- - org.eclipse.jgit.internal.storage.pack.PackWriter.Statistics.ObjectType

Enclosing class:
  PackWriter.Statistics

    public static class PackWriter.Statistics.ObjectType
    extends Object

Statistics about a single class of object.

### Constructor Summary

Constructors
Constructor and Description
`PackWriter.Statistics.ObjectType()`

### Method Summary

Methods
`long` `getBytes()`
`long` `getDeltaBytes()`
`long` `getDeltas()`
`long` `getObjects()`
`long` `getReusedDeltas()`
`long` `getReusedObjects()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackWriter.Statistics.ObjectType

    public PackWriter.Statistics.ObjectType()

### Method Detail

#### getObjects

    public long getObjects()

Returns:
  total number of objects output. This total includes the value of `getDeltas()`.

#### getDeltas

    public long getDeltas()

Returns:
  total number of deltas output. This may be lower than the actual number of deltas if a cached pack was reused.

#### getReusedObjects

    public long getReusedObjects()

Returns:
  number of objects whose existing representation was reused in the output. This count includes `getReusedDeltas()`.

#### getReusedDeltas

    public long getReusedDeltas()

Returns:
  number of deltas whose existing representation was reused in the output, as their base object was also output or was assumed present for a thin pack. This may be lower than the actual number of reused deltas if a cached pack was reused.

#### getBytes

    public long getBytes()

Returns:
  total number of bytes written. This size includes the object headers as well as the compressed data. This size also includes all of `getDeltaBytes()`.

#### getDeltaBytes

    public long getDeltaBytes()

Returns:
  number of delta bytes written. This size includes the object headers for the delta objects.